Changeset a4eb3ba2 in mainline
- Timestamp:
- 2018-05-22T14:21:15Z (7 years ago)
- Branches:
- lfn, master, serial, ticket/834-toolchain-update, topic/msim-upgrade, topic/simplify-dev-export
- Children:
- 86b70c6
- Parents:
- 904b1bc
- git-author:
- Jiri Svoboda <jiri@…> (2018-05-21 18:20:15)
- git-committer:
- Jiri Svoboda <jiri@…> (2018-05-22 14:21:15)
- Files:
-
- 3 edited
Legend:
- Unmodified
- Added
- Removed
-
Makefile
r904b1bc ra4eb3ba2 84 84 85 85 ccheck: $(CCHECK) 86 cd tools && ./build-ccheck.sh 86 87 tools/ccheck.sh 87 88 88 89 ccheck-fix: $(CCHECK) 90 cd tools && ./build-ccheck.sh 89 91 tools/ccheck.sh --fix 90 92 91 93 space: 92 94 tools/srepl '[ \t]\+$$' '' 93 94 $(CCHECK):95 cd tools && ./build-ccheck.sh96 95 97 96 doxy: -
tools/build-ccheck.sh
r904b1bc ra4eb3ba2 28 28 # 29 29 30 git clone https://github.com/jxsvoboda/sycek sycek 30 SYCEK_GIT="https://github.com/jxsvoboda/sycek sycek" 31 SYCEK_REV="722f6c377875ea9e471d77e7486c8d06f0a73ff7" 32 33 if [ ! -d sycek ]; then 34 git clone https://github.com/jxsvoboda/sycek sycek 35 fi 36 31 37 cd sycek 32 make 38 39 # Make sure we have the required revision 40 echo "Making sure Sycek is up to date..." 41 git checkout "$SYCEK_REV" 2>/dev/null 42 rc=$? 43 if [ $rc != 0 ]; then 44 echo "Pulling from Sycek repo..." 45 git checkout master 46 git pull 47 git checkout "$SYCEK_REV" 2>/dev/null 48 rc=$? 49 if [ $rc != 0 ]; then 50 echo "Error checking out Sycek rev $SYCEK_REV" 51 exit 1 52 fi 53 54 make clean || exit 1 55 make || exit 1 56 else 57 make >/dev/null || exit 1 58 fi -
tools/ccheck.sh
r904b1bc ra4eb3ba2 39 39 snorepcnt=0 40 40 fcnt=0 41 exitfile="$(mktemp)"42 echo 0 >"$exitfile"43 41 44 42 find abi kernel boot uspace -type f -regex '^.*\.[ch]$' | ( … … 50 48 if [ -s "$outfile" ] ; then 51 49 srepcnt=$((srepcnt + 1)) 52 #cat "$outfile" 53 echo "$fname has issues" 50 cat "$outfile" 54 51 else 55 52 snorepcnt=$((snorepcnt + 1)) … … 64 61 done 65 62 66 echo "Checked files with issues: $srepcnt" 67 echo "Checked files without issues: $snorepcnt" 68 echo "Not checked files: $fcnt" 63 if [ $srepcnt == 0 -a $fcnt == 0 ] ; then 64 echo "Ccheck passed." 65 else 66 echo "Ccheck failed." 67 echo "Checked files with issues: $srepcnt" 68 echo "Checked files without issues: $snorepcnt" 69 echo "Files with parse errors: $fcnt" 70 exit 1 71 fi 69 72 ) 70 71 exitcode=$(cat "$exitfile")72 rm -rf "$exitfile"73 74 exit $exitcode
Note:
See TracChangeset
for help on using the changeset viewer.